com.pixelmed.transfermonitor

## Class MonitoredInputStream

- java.lang.Object
- - java.io.InputStream
  - - com.pixelmed.transfermonitor.MonitoredInputStream

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public class MonitoredInputStream
    extends java.io.InputStream

A class that extends `InputStream` to track statistics on the transfers.

### Constructor Summary

Constructors
Constructor and Description
`MonitoredInputStream(java.io.InputStream in, TransferMonitoringContext transferMonitoringContext)`

### Method Summary

Methods
`int` `available()`
`void` `close()`
`void` `mark(int readlimit)`
`boolean` `markSupported()`
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`
`void` `reset()`
`long` `skip(long n)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MonitoredInputStream

    public MonitoredInputStream(java.io.InputStream in,
                        TransferMonitoringContext transferMonitoringContext)

### Method Detail

#### read

    public final int read()
                   throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public final int read(byte[] b)
                   throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public final int read(byte[] b,
           int off,
           int len)
                   throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### skip

    public final long skip(long n)
                    throws java.io.IOException

Overrides:
  `skip` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### available

    public final int available()
                        throws java.io.IOException

Overrides:
  `available` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### close

    public final void close()
                     throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### mark

    public final void mark(int readlimit)

Overrides:
  `mark` in class `java.io.InputStream`

#### markSupported

    public final boolean markSupported()

Overrides:
  `markSupported` in class `java.io.InputStream`

#### reset

    public final void reset()
                     throws java.io.IOException

Overrides:
  `reset` in class `java.io.InputStream`
Throws:
  `java.io.IOException`